Index: branches/SHM-dev/source/Lib/TLibCommon/AccessUnit.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/AccessUnit.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/AccessUnit.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/CommonDef.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/CommonDef.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/CommonDef.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/ContextModel.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/ContextModel.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/ContextModel.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/ContextModel3DBuffer.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/ContextModel3DBuffer.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/ContextModel3DBuffer.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/ContextTables.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/ContextTables.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/ContextTables.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/Debug.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/Debug.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/Debug.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/NAL.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/NAL.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/NAL.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/SEI.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/SEI.cpp	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/SEI.cpp	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/SEI.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/SEI.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/SEI.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TCom3DAsymLUT.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TCom3DAsymLUT.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TCom3DAsymLUT.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComBitCounter.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComBitCounter.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComBitCounter.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComBitStream.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComBitStream.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComBitStream.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComCABACTables.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComCABACTables.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComCABACTables.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComChromaFormat.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComChromaFormat.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComChromaFormat.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComCodingStatistics.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComCodingStatistics.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComCodingStatistics.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComDataCU.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComDataCU.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComDataCU.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComInterpolationFilter.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComInterpolationFilter.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComInterpolationFilter.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComList.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComList.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComList.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComLoopFilter.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComLoopFilter.cpp	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComLoopFilter.cpp	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComLoopFilter.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComLoopFilter.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComLoopFilter.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComMotionInfo.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComMotionInfo.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComMotionInfo.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComMv.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComMv.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComMv.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComPattern.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComPattern.cpp	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComPattern.cpp	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComPattern.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComPattern.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComPattern.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComPic.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComPic.cpp	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComPic.cpp	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComPic.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComPic.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComPic.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComPicSym.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComPicSym.cpp	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComPicSym.cpp	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComPicSym.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComPicSym.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComPicSym.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComPicYuv.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComPicYuv.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComPicYuv.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComPrediction.cpp	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComPrediction.cpp	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComPrediction.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComPrediction.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComPrediction.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComRdCost.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComRdCost.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComRdCost.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComRdCostWeightPrediction.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComRdCostWeightPrediction.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComRdCostWeightPrediction.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComRectangle.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComRectangle.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComRectangle.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComRom.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComRom.cpp	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComRom.cpp	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComRom.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComRom.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComRom.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComSampleAdaptiveOffset.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComSampleAdaptiveOffset.cpp	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComSampleAdaptiveOffset.cpp	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComSampleAdaptiveOffset.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComSampleAdaptiveOffset.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComSampleAdaptiveOffset.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComTU.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComTU.cpp	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComTU.cpp	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComTU.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComTU.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComTU.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComTrQuant.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComTrQuant.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComTrQuant.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComWeightPrediction.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComWeightPrediction.cpp	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComWeightPrediction.cpp	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComWeightPrediction.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComWeightPrediction.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComWeightPrediction.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TComYuv.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComYuv.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComYuv.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/libmd5/MD5.h
===================================================================
--- branches/SHM-dev/source/Lib/libmd5/MD5.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/libmd5/MD5.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *
Index: branches/SHM-dev/source/Lib/libmd5/libmd5.h
===================================================================
--- branches/SHM-dev/source/Lib/libmd5/libmd5.h	(revision 1549)
+++ branches/SHM-dev/source/Lib/libmd5/libmd5.h	(revision 1550)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2016, ITU/ISO/IEC
  * All rights reserved.
  *