Index: branches/SHM-dev/cfg/encoder_intra_scalable.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_intra_scalable.cfg	(revision 1552)
+++ branches/SHM-dev/cfg/encoder_intra_scalable.cfg	(revision 1553)
@@ -100,6 +100,6 @@
 
 #============ Lossless ================
-TransquantBypassEnableFlag : 0                         # Value of PPS flag.
-CUTransquantBypassFlagForce: 0                         # Force transquant bypass mode, when transquant_bypass_enable_flag is enabled
+#TransquantBypassEnableFlag : 0                         # Value of PPS flag.
+#CUTransquantBypassFlagForce: 0                         # Force transquant bypass mode, when transquant_bypass_enable_flag is enabled
 
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
Index: branches/SHM-dev/cfg/encoder_intra_scalable10.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_intra_scalable10.cfg	(revision 1552)
+++ branches/SHM-dev/cfg/encoder_intra_scalable10.cfg	(revision 1553)
@@ -99,6 +99,6 @@
 
 #============ Lossless ================
-TransquantBypassEnableFlag : 0                         # Value of PPS flag.
-CUTransquantBypassFlagForce: 0                         # Force transquant bypass mode, when transquant_bypass_enable_flag is enabled
+#TransquantBypassEnableFlag : 0                         # Value of PPS flag.
+#CUTransquantBypassFlagForce: 0                         # Force transquant bypass mode, when transquant_bypass_enable_flag is enabled
 
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
Index: branches/SHM-dev/cfg/encoder_lowdelay_P_scalable.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_lowdelay_P_scalable.cfg	(revision 1552)
+++ branches/SHM-dev/cfg/encoder_lowdelay_P_scalable.cfg	(revision 1553)
@@ -108,6 +108,6 @@
 
 #============ Lossless ================
-TransquantBypassEnableFlag : 0                         # Value of PPS flag.
-CUTransquantBypassFlagForce: 0                         # Force transquant bypass mode, when transquant_bypass_enable_flag is enabled
+#TransquantBypassEnableFlag : 0                         # Value of PPS flag.
+#CUTransquantBypassFlagForce: 0                         # Force transquant bypass mode, when transquant_bypass_enable_flag is enabled
 
 #============ Rate Control ======================
Index: branches/SHM-dev/cfg/encoder_lowdelay_P_scalable10.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_lowdelay_P_scalable10.cfg	(revision 1552)
+++ branches/SHM-dev/cfg/encoder_lowdelay_P_scalable10.cfg	(revision 1553)
@@ -108,6 +108,6 @@
 
 #============ Lossless ================
-TransquantBypassEnableFlag : 0                         # Value of PPS flag.
-CUTransquantBypassFlagForce: 0                         # Force transquant bypass mode, when transquant_bypass_enable_flag is enabled
+#TransquantBypassEnableFlag : 0                         # Value of PPS flag.
+#CUTransquantBypassFlagForce: 0                         # Force transquant bypass mode, when transquant_bypass_enable_flag is enabled
 
 #============ Rate Control ======================
Index: branches/SHM-dev/cfg/encoder_lowdelay_scalable.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_lowdelay_scalable.cfg	(revision 1552)
+++ branches/SHM-dev/cfg/encoder_lowdelay_scalable.cfg	(revision 1553)
@@ -108,6 +108,6 @@
 
 #============ Lossless ================
-TransquantBypassEnableFlag : 0                         # Value of PPS flag.
-CUTransquantBypassFlagForce: 0                         # Force transquant bypass mode, when transquant_bypass_enable_flag is enabled
+#TransquantBypassEnableFlag : 0                         # Value of PPS flag.
+#CUTransquantBypassFlagForce: 0                         # Force transquant bypass mode, when transquant_bypass_enable_flag is enabled
 
 #============ Rate Control ======================
Index: branches/SHM-dev/cfg/encoder_lowdelay_scalable10.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_lowdelay_scalable10.cfg	(revision 1552)
+++ branches/SHM-dev/cfg/encoder_lowdelay_scalable10.cfg	(revision 1553)
@@ -108,6 +108,6 @@
 
 #============ Lossless ================
-TransquantBypassEnableFlag : 0                         # Value of PPS flag.
-CUTransquantBypassFlagForce: 0                         # Force transquant bypass mode, when transquant_bypass_enable_flag is enabled
+#TransquantBypassEnableFlag : 0                         # Value of PPS flag.
+#CUTransquantBypassFlagForce: 0                         # Force transquant bypass mode, when transquant_bypass_enable_flag is enabled
 
 #============ Rate Control ======================
Index: branches/SHM-dev/cfg/encoder_randomaccess_scalable10.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_randomaccess_scalable10.cfg	(revision 1552)
+++ branches/SHM-dev/cfg/encoder_randomaccess_scalable10.cfg	(revision 1553)
@@ -112,6 +112,6 @@
 
 #============ Lossless ================
-TransquantBypassEnableFlag : 0                         # Value of PPS flag.
-CUTransquantBypassFlagForce: 0                         # Force transquant bypass mode, when transquant_bypass_enable_flag is enabled
+#TransquantBypassEnableFlag : 0                         # Value of PPS flag.
+#CUTransquantBypassFlagForce: 0                         # Force transquant bypass mode, when transquant_bypass_enable_flag is enabled
 
 #============ Rate Control ======================