Index: branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1551)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1554)
@@ -633,5 +633,5 @@
   UChar                 m_layerIdxInVps[MAX_NUM_LAYER_IDS];            // Maps layer_id_in_nuh with the layer ID in the VPS
   UChar                 m_maxSLInLayerSetMinus1[MAX_VPS_LAYER_SETS_PLUS1 + MAX_NUM_ADD_LAYER_SETS];
-  Bool                  m_ilpSshSignalingEnabledFlag;
+  Bool                  m_defaultRefLayersActiveFlag;
 
   // Profile-tier-level signalling related
@@ -898,6 +898,6 @@
   UChar             getMaxSLayersInLayerSetMinus1(Int ls) const                        { return m_maxSLInLayerSetMinus1[ls];                }
   Void              setMaxSLayersInLayerSetMinus1(Int ls, UChar x)                     { m_maxSLInLayerSetMinus1[ls] = x;                   }
-  Bool              getIlpSshSignalingEnabledFlag() const                              { return m_ilpSshSignalingEnabledFlag;               }
-  Void              setIlpSshSignalingEnabledFlag(Bool x)                              { m_ilpSshSignalingEnabledFlag = x;                  }
+  Bool              getDefaultRefLayersActiveFlag() const                              { return m_defaultRefLayersActiveFlag;               }
+  Void              setDefaultRefLayersActiveFlag(Bool x)                              { m_defaultRefLayersActiveFlag = x;                  }
 
   Bool              getProfilePresentFlag(Int id) const                                { return m_profilePresentFlag[id];                   }
Index: branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1551)
+++ branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1554)
@@ -1539,5 +1539,5 @@
 #if SVC_EXTENSION
     pcSlice->setActiveNumILRRefIdx(0);
-    if((pcSlice->getLayerId() > 0) && !(vps->getIlpSshSignalingEnabledFlag()) && (pcSlice->getNumILRRefIdx() > 0) )
+    if((pcSlice->getLayerId() > 0) && !(vps->getDefaultRefLayersActiveFlag()) && (pcSlice->getNumILRRefIdx() > 0) )
     {
       READ_FLAG(uiCode,"inter_layer_pred_enabled_flag");
@@ -1600,5 +1600,5 @@
       }
     }
-    else if( vps->getIlpSshSignalingEnabledFlag() == true &&  (pcSlice->getLayerId() > 0 ))
+    else if( vps->getDefaultRefLayersActiveFlag() == true &&  (pcSlice->getLayerId() > 0 ))
     {
       pcSlice->setInterLayerPredEnabledFlag(true);
@@ -2681,5 +2681,5 @@
   for(i = 0; i < MAX_VPS_NUM_SCALABILITY_TYPES; i++)
   {
-    READ_FLAG( uiCode, "scalability_mask[i]" ); vps->setScalabilityMask(i, uiCode ? true : false);
+    READ_FLAG( uiCode, "scalability_mask_flag[i]" ); vps->setScalabilityMask(i, uiCode ? true : false);
     numScalabilityTypes += uiCode;
   }
@@ -2841,5 +2841,5 @@
     }
   }
-  READ_FLAG( uiCode, "all_ref_layers_active_flag" ); vps->setIlpSshSignalingEnabledFlag(uiCode ? true : false);
+  READ_FLAG( uiCode, "default_ref_layers_active_flag" ); vps->setDefaultRefLayersActiveFlag(uiCode ? true : false);
 
   // Profile-tier-level signalling
Index: branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1551)
+++ branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1554)
@@ -1149,5 +1149,5 @@
 
 #if SVC_EXTENSION
-    if((pcSlice->getLayerId() > 0) && !(pcSlice->getVPS()->getIlpSshSignalingEnabledFlag()) && (pcSlice->getNumILRRefIdx() > 0) )
+    if((pcSlice->getLayerId() > 0) && !(pcSlice->getVPS()->getDefaultRefLayersActiveFlag()) && (pcSlice->getNumILRRefIdx() > 0) )
     {
       WRITE_FLAG(pcSlice->getInterLayerPredEnabledFlag(),"inter_layer_pred_enabled_flag");
@@ -1971,5 +1971,5 @@
   for(i = 0; i < MAX_VPS_NUM_SCALABILITY_TYPES; i++)
   {
-    WRITE_FLAG( vps->getScalabilityMask(i),            "scalability_mask[i]" );
+    WRITE_FLAG( vps->getScalabilityMask(i),            "scalability_mask_flag[i]" );
   }
 
@@ -2070,5 +2070,5 @@
      }
    }
-   WRITE_FLAG( vps->getIlpSshSignalingEnabledFlag(), "all_ref_layers_active_flag" );
+   WRITE_FLAG( vps->getDefaultRefLayersActiveFlag(), "default_ref_layers_active_flag" );
 
   // Profile-tier-level signalling